#include <cstdlib>
#include <iostream>

using namespace std;
bool red(long long a,long long b)
{
    long long a1=a;
    long long a2=0;
    long long b1=b;
    long long b2=0;
    int ap,bp;
    
 /*while(a>=a1)
 {
  a1*=10;           
 }  
  while(b>=b1)
 {
  b1*=10;           
 }  
 unsigned long long k=a*b1+b,p=b*a1+a;
 return k>=p;*/ 
while(a1>0)
 {
  a2*=10;
  a2+=a1%10;
  a1/=10;           
 }  
  while(b1>0)
 {
  b2*=10;
  b2+=b1%10;
  b1/=10;             
 }  
 ap=a2%10;
 bp=b2%10;
 while(a2>10 || b2>10)
 {
  if(a2%10>b2%10) return true;
  else if(a2%10<b2%10) return false;
  else 
  {
   a2/=10;
   b2/=10;     
  }           
 }
 if(a2==0) 
 {
  if(ap>=b2) return true;
  else return false;         
 }
  if(b2==0) 
 {
  if(bp>=a2) return false;
  else return true;         
 }
}
int main(int argc, char *argv[])
{
    long long a,b,c;
    scanf("%lld%lld%lld",&a,&b,&c);  
    if(red(a,b) && red(b,c)) printf("%lld%lld%lld",a,b,c);
    else if(red(a,c) && red(c,b)) printf("%lld%lld%lld",a,c,b);
    else if(red(b,a) && red(a,c)) printf("%lld%lld%lld",b,a,c);
    else if(red(b,c) && red(c,a)) printf("%lld%lld%lld",b,c,a);
    else if(red(c,a) && red(a,b)) printf("%lld%lld%lld",c,a,b);
    else if(red(c,b) && red(b,a)) printf("%lld%lld%lld",c,b,a);
   // system("PAUSE");
    //return EXIT_SUCCESS;
}